Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.xml
Class XmlModuleDescriptorUpdater

    java.lang.Object
      fr.jayasoft.ivy.xml.XmlModuleDescriptorUpdater

public class XmlModuleDescriptorUpdater
extends java.lang.Object

Used to update ivy files. Uses ivy file as source and not ModuleDescriptor to preserve as much as possible the original syntax

Author:
  Hanin

Field Summary
`static java.lang.String` | `LINE_SEPARATOR`

Constructor Summary
`XmlModuleDescriptorUpdater()`

Method Summary
`static void` | `update(Ivy ivy, java.net.URL srcURL, java.io.File destFile, java.util.Map resolvedRevisions, java.lang.String status, java.lang.String revision, java.util.Date pubdate, Namespace ns, boolean replaceInclude)`
`static void` | `update(java.net.URL srcURL, java.io.File destFile, java.util.Map resolvedRevisions, java.lang.String status, java.lang.String revision, java.util.Date pubdate)` used to copy a module descriptor xml file (also known as ivy file) and update the revisions of its dependencies, its status and revision

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINE_SEPARATOR

    public static java.lang.String LINE_SEPARATOR

Constructor Detail

### XmlModuleDescriptorUpdater

    public XmlModuleDescriptorUpdater()

Method Detail

### update

    public static void update(java.net.URL srcURL,
                              java.io.File destFile,
                              java.util.Map resolvedRevisions,
                              java.lang.String status,
                              java.lang.String revision,
                              java.util.Date pubdate)
                       throws java.io.IOException,
                              org.xml.sax.SAXException

  used to copy a module descriptor xml file (also known as ivy file) and update the revisions of its dependencies, its status and revision

  Parameters:
    `srcURL` - the url of the source module descriptor file
    `destFile` - The file to which the updated module descriptor should be output
    `resolvedRevisions` - Map from ModuleId of dependencies to new revision (as String)
    `status` - the new status, null to keep the old one
    `revision` - the new revision, null to keep the old one
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### update

    public static void update(Ivy ivy,
                              java.net.URL srcURL,
                              java.io.File destFile,
                              java.util.Map resolvedRevisions,
                              java.lang.String status,
                              java.lang.String revision,
                              java.util.Date pubdate,
                              Namespace ns,
                              boolean replaceInclude)
                       throws java.io.IOException,
                              org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD